<template>
  <div
    class="correction-document"
    :style="containerStyles"
  >
    <div
      v-if="service.addServiceTotalAmount && !isOnlyDocument"
      class="correction-document__title"
    >
      <span
        :class="service.addServiceTotalAmount.priceWithVat < 0 && 'color-error'"
      >
        {{ service.addServiceTotalAmount.priceWithVat / 100 | currency({ dot: 2 }) }}
      </span>
    </div>
    <div
      v-if="service.correctionDocumentNumber"
      class="correction-document__info"
    >
      <div
        class="correction-document__info-item"
        :class="classBy1cCorrectionDocumentStatus"
      >
        <i class="icon document" />
        <span>Корректировочный документ {{ service.correctionDocumentNumber }}</span>
      </div>
      <div
        v-if="isShowDocument1cStatus"
        class="correction-document__info-item"
        :class="classBy1cCorrectionDocumentStatus"
      >
        {{ service.correctionDocument1cStatus === 'ACCEPTED' ? 'Принят  1С' : 'Отклонён 1С' }} {{ service.correctionDocument1cDt | date('DD.MM.YYYY HH:ss') }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'orderAdditionalServicesTableCorrectionDocument',
  props: {
    service: {
      type: Object,
      default: () => {}
    },
    order: {
      type: Object,
      default: () => {}
    },
    isOnlyDocument: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    classBy1cCorrectionDocumentStatus () {
      const classesMap = {
        SENT: '--default',
        ACCEPTED: '--success',
        REJECTED: '--danger',
      }

      return classesMap[this.service?.correctionDocument1cStatus] || classesMap.SENT
    },
    isShowDocument1cStatus () {
      return this.service.correctionDocument1cDt && this.service.correctionDocument1cStatus !== 'SENT'
    },
    containerStyles () {
      return {
        minHeight: this.isShowDocument1cStatus ? '70px' : 'auto'
      }
    }
  }
}
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .correction-document {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    text-align: right;
    &__info {
      position: absolute;
      top: 52px;
      right: 18px;
      display: flex;
      align-items: flex-end;
      flex-direction: column;
      @include font-mixin(14px, 16px, 400, $color-grey-label);
      .icon {
        margin-right: 8px;
        font-size: 16px;
      }
      &-item {
        display: flex;
        align-items: center;
        & + .correction-document__info-item {
          margin-top: 7px;
        }
        &.--default {
          color: $color-grey-label;
        }
        &.--success {
          color: $green-800;
        }
        &.--danger {
          color: $color-error;
        }
      }
    }
  }
</style>
